Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class Pid

    java.lang.Object
      com.ericsson.otp.erlang.OtpErlangObject
          com.ericsson.otp.erlang.OtpErlangPid
              com.ericsson.otp.ic.Pid

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<java.lang.Object>

    public final class Pid

extends com.ericsson.otp.erlang.OtpErlangPid

Pid class mapps the built-in erlang type pid, a process identity.

See Also:
  Serialized Form

Constructor Summary
`Pid(com.ericsson.otp.erlang.OtpInputStream buf)`
`Pid(com.ericsson.otp.erlang.OtpSelf self)`
`Pid(java.lang.String node, int id, int serial, int creation)`

Method Summary
`boolean` | `equal(Pid _pid)` Comparisson method for Pid.

Methods inherited from class com.ericsson.otp.erlang.OtpErlangPid
`compareTo, creation, encode, equals, id, node, serial, toString`

Methods inherited from class com.ericsson.otp.erlang.OtpErlangObject
`clone, decode, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Pid

    public Pid(com.ericsson.otp.erlang.OtpSelf self)

### Pid

    public Pid(com.ericsson.otp.erlang.OtpInputStream buf)
        throws com.ericsson.otp.erlang.OtpErlangDecodeException

Throws:
  `com.ericsson.otp.erlang.OtpErlangDecodeException`

### Pid

    public Pid(java.lang.String node,
               int id,
               int serial,
               int creation)

Method Detail

### equal

    public boolean equal(Pid _pid)

  Comparisson method for Pid.

  Returns:
    true if the input Pid value equals the value of the current object, false otherwize

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD